From f97c1c33609b8efb55d71ad6a388fcc84ea6e79a Mon Sep 17 00:00:00 2001
From: Ralf Jung <jung@mpi-sws.org>
Date: Thu, 25 May 2023 12:02:42 +0200
Subject: [PATCH] avoid deprecated fgrep

---
 Makefile.coq.local | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Makefile.coq.local b/Makefile.coq.local
index f41aa5d6..f252e2c0 100644
--- a/Makefile.coq.local
+++ b/Makefile.coq.local
@@ -39,7 +39,7 @@ style: $(VFILES) coq-lint.sh
 # Make sure everything imports the options, and all Instance/Argument/Hint are qualified.
 	$(SHOW)"COQLINT"
 	$(HIDE)for FILE in $(VFILES); do \
-	  if ! fgrep -q 'From iris.prelude Require Import options.' "$$FILE"; then echo "ERROR: $$FILE does not import 'options'."; echo; exit 1; fi ; \
+	  if ! grep -F -q 'From iris.prelude Require Import options.' "$$FILE"; then echo "ERROR: $$FILE does not import 'options'."; echo; exit 1; fi ; \
 	  ./coq-lint.sh "$$FILE" || exit 1; \
 	done
 .PHONY: style
-- 
GitLab